For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

BRepBuilderAPI_Sewing Issue in opencascade 6.9.1

Aloka Kulathilaka's picture
Forums: 

Hi,

I have a problem using BRepBuilderAPI_Sewing which I used to get sewed shape from 13 faces. I have wrote face by face in brep files and export them in to a single file (exportedFaces.brep)  and that shape is my expected shape after sewing.  But the shape I got(sewedShape.brep) is different. I have attached the code and two shapes here.

                    BRepBuilderAPI_Sewing multiRowSewer;
                    for(int i=0; i < grooveFaceList.size();i++)
                    {
                        multiRowSewer.Add(grooveFaceList.at(i));
                    }
                    multiRowSewer.Perform();
                    TopoDS_Shape sewedShape = multiRowSewer.SewedShape();
 

How can I solve this problem?

Thanks....